This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 131049 - Anaconda (26/08) crashes on checking previous Redhat installation
Anaconda (26/08) crashes on checking previous Redhat installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 18:10 EDT by Deji
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 00:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Deji 2004-08-26 18:10:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I was trying to install the today's devel tree, but anaconda was
having this unhandled exception on checking for previous installation.
Last call trace look like this;
>>>
File "/usr/src/build/442567-i386/install//usr/lib/anaconda/gui.py,
line 791,  in nextclicked
     self.setScreen ()
File "/usr/src/build/442567-i386/install//usr/lib/anaconda/gui.py,
line 1134,  in setScreen
     new_screen=apply(self.currentwindow.getScreen, args)
File
""/usr/src/build/442567-i386/install//usr/lib/anaconda/iw/examine_gui.py,
line i48,  in getScreen
    iter=model.append (iter)
   TypeError:expecting a sequence.
<<<
 

Version-Release number of selected component (if applicable):
anaconda-10.0.2-0.20040824162751

How reproducible:
Always

Steps to Reproduce:
1. Do network install from the development tree
2.
3.
    

Actual Results:  Installation fails

Expected Results:  Should install successfully

Additional info:

If I may add, (1) there was also an warning messages after retrieving
 'stage2.img' from the ftp server,
<<
/usr/sbin/load_policy Warning! Error whiile getting boolean name, no
such file or directory.
>>
(2) There has been support for my ATI IGP 345M card in xorg for some
time now, but anaconda still doesn't know about it.

Thanks
Comment 1 Jeremy Katz 2004-08-27 00:41:44 EDT
Already fixed in CVS, will be in the next build.

Note You need to log in before you can comment on or make changes to this bug.